org.apache.hadoop.yarn.api.protocolrecords

## Class GetNewReservationResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetNewReservationResponse
      extends Object

  The response sent by the `ResourceManager` to the client for a request to get a new `ReservationId` for submitting reservations.

  Clients can submit an reservation with the returned `ReservationId`.

  `ApplicationClientProtocol#getNewReservation(GetNewReservationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNewReservationResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ReservationId` | `getReservationId()` Get a new `ReservationId` to be used to submit a reservation.
    `static GetNewReservationResponse` | `newInstance(ReservationId reservationId)`
    `abstract void` | `setReservationId(ReservationId reservationId)` Set a new `ReservationId` to be used to submit a reservation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNewReservationResponse

          public GetNewReservationResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static GetNewReservationResponse newInstance(ReservationId reservationId)

    - #### getReservationId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ReservationId getReservationId()

      Get a new `ReservationId` to be used to submit a reservation.
      Returns:
        a `ReservationId` representing the unique id to identify a reservation with which it was submitted.

    - #### setReservationId

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setReservationId(ReservationId reservationId)

      Set a new `ReservationId` to be used to submit a reservation.
      Parameters:
        `reservationId` - a `ReservationId` representing the unique id to identify a reservation with which it was submitted.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.